List Spend Controls
curl --request GET \
--url https://api.synctera.com/v1/spend_controls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/spend_controls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/spend_controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v1/spend_controls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v1/spend_controls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v1/spend_controls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v1/spend_controls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"spend_controls": [
{
"number_of_related_accounts": 1,
"number_of_related_cards": 1,
"number_of_related_customers": 1,
"tenant": "abcdef_ghijkl",
"action_case": true,
"action_decline": true,
"creation_time": "2010-05-06T12:23:34.321Z",
"direction": "ANY",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_active": true,
"last_modified_time": "2010-05-06T12:23:34.321Z",
"name": "<string>",
"time_range": {
"time_range_type": "FOREVER"
},
"aggregation_level": "ACCOUNT",
"amount_limit": 1,
"description": "<string>",
"geo_restrictions": {
"countries": [
"CA",
"GB",
"US"
],
"mode": "ALLOW_LIST",
"country_sources": [
"COUNTER_PARTY"
]
},
"managed_by": "BANK",
"merchant_category_codes": [
"5600–5699"
],
"payment_sub_types": [
"WIRE.BULK_DOMESTIC_OUTGOING"
],
"payment_subtype_map": {
"ACH": [
"ACH.INCOMING_CREDIT"
],
"CARD": [
"CARD.ATM_WITHDRAWAL"
],
"CASH": [
"CASH.CASH_ORDER"
],
"CHECK": [
"CHECK.MOBILE_DEPOSIT"
],
"EFT_CA": [
"EFT_CA.BULK_OUTGOING_CREDIT"
],
"EXTERNAL_CARD": [
"EXTERNAL_CARD.CARD_FUNDING"
],
"FEDNOW": [
"FEDNOW.FEDNOW_INCOMING"
],
"INTERNAL_TRANSFER": [
"INTERNAL_TRANSFER.ACCOUNT_BALANCE_ADJUSTMENT"
],
"SYNCTERA_PAY": [
"SYNCTERA_PAY.INCOMING_INTERAC_AUTODEPOSIT"
],
"WIRE": [
"WIRE.BULK_DOMESTIC_OUTGOING"
]
},
"payment_types": [
"ACH"
],
"scope": "ACCOUNT",
"transaction_count_limit": 1
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Spend Controls
List Spend Controls
List spend controls
GET
/
spend_controls
List Spend Controls
curl --request GET \
--url https://api.synctera.com/v1/spend_controls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/spend_controls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/spend_controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v1/spend_controls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v1/spend_controls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.synctera.com/v1/spend_controls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v1/spend_controls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"spend_controls": [
{
"number_of_related_accounts": 1,
"number_of_related_cards": 1,
"number_of_related_customers": 1,
"tenant": "abcdef_ghijkl",
"action_case": true,
"action_decline": true,
"creation_time": "2010-05-06T12:23:34.321Z",
"direction": "ANY",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_active": true,
"last_modified_time": "2010-05-06T12:23:34.321Z",
"name": "<string>",
"time_range": {
"time_range_type": "FOREVER"
},
"aggregation_level": "ACCOUNT",
"amount_limit": 1,
"description": "<string>",
"geo_restrictions": {
"countries": [
"CA",
"GB",
"US"
],
"mode": "ALLOW_LIST",
"country_sources": [
"COUNTER_PARTY"
]
},
"managed_by": "BANK",
"merchant_category_codes": [
"5600–5699"
],
"payment_sub_types": [
"WIRE.BULK_DOMESTIC_OUTGOING"
],
"payment_subtype_map": {
"ACH": [
"ACH.INCOMING_CREDIT"
],
"CARD": [
"CARD.ATM_WITHDRAWAL"
],
"CASH": [
"CASH.CASH_ORDER"
],
"CHECK": [
"CHECK.MOBILE_DEPOSIT"
],
"EFT_CA": [
"EFT_CA.BULK_OUTGOING_CREDIT"
],
"EXTERNAL_CARD": [
"EXTERNAL_CARD.CARD_FUNDING"
],
"FEDNOW": [
"FEDNOW.FEDNOW_INCOMING"
],
"INTERNAL_TRANSFER": [
"INTERNAL_TRANSFER.ACCOUNT_BALANCE_ADJUSTMENT"
],
"SYNCTERA_PAY": [
"SYNCTERA_PAY.INCOMING_INTERAC_AUTODEPOSIT"
],
"WIRE": [
"WIRE.BULK_DOMESTIC_OUTGOING"
]
},
"payment_types": [
"ACH"
],
"scope": "ACCOUNT",
"transaction_count_limit": 1
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Query Parameters
The direction of funds flow to which a spend control applies. To limit the rate of funds flowing out of an account, use DEBITS. To limit the rate of funds flowing in to an account, use CREDITS. Use ANY to apply the spend control to both debits and credits. If this is not set, the spend control applies to debits (ie spending) only.
Available options:
ANY, CREDITS, DEBITS Was this page helpful?

